[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.SetCursor

Changes the cursor shape in the grid to the specified value.

## Declaration

Source position: grids.pas line 1189

`protected procedure TCustomGrid.SetCursor(`
`AValue: TCursor`
`); override;`

## Arguments

`AValue` |  | Cursor shape used for the mouse pointer in the grid.

## Description

SetCursor is an overridden method in TCustomGrid. SetCursor calls the inherited method to perform the CM_CURSORCHANGED message for the control, and calls ChangeCursor to save the previous Cursor and apply the shape in AShape to the Cursor property.

## See also

TCustomGrid.CursorState |  | Current cursor state for the grid control.
TCustomGrid.ColSizingCursor |  | Cursor shape displayed when a column is resized.
TCustomGrid.RowSizingCursor |  | Cursor shape displayed when the row height is resized.